Edit a connection
curl --request PATCH \
--url https://api.nango.dev/connections/{connectionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tags": {},
"webhook_url": "<string>"
}
'import requests
url = "https://api.nango.dev/connections/{connectionId}"
payload = {
"tags": {},
"webhook_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tags: {}, webhook_url: '<string>'})
};
fetch('https://api.nango.dev/connections/{connectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": {
"code": "<string>",
"message": "<string>",
"errors": [
{}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"errors": [
{}
]
}
}Connections
Patch a connection
Edit a connection
PATCH
/
connections
/
{connectionId}
Edit a connection
Requires an API key with the
environment:connections:update scope. Learn more about API key scopes.Authorizations
The secret key from your Nango environment.
Path Parameters
The connection ID used to create the connection.
Query Parameters
The integration ID used to create the connection (aka Unique Key).
Body
application/json
Connection tags (key/value strings). Keys are normalized to lowercase.
Show child attributes
Show child attributes
Override the environment's webhook URLs for this connection. When set, this connection's webhooks are sent only to this URL. Pass an empty string to clear the override.
Deprecated, use tags instead
Show child attributes
Show child attributes
Response
Successfully updated the connection
Was this page helpful?
⌘I